//--------------------------------------------------------------
// File     : main.c
// Datum    : 26.02.2014
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.4
// GCC      : 4.7 2012q4
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Mini-SPS per STM32F4
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//
// Zur Anleitung die "STM32F4_SPS.txt" lesen
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_sps.h"

int main(void)
{
  uint32_t check;
  uint32_t start_sps=1;

  SystemInit(); // Quarz Einstellungen aktivieren

  // init der SPS
  UB_SPS_Init();
  start_sps=1;  // SPS starten nach power_on

  while(1)
  {
    //-----------------------------------
    // wenn AWL-File ok
    // SPS starten    
    //-----------------------------------
    if(start_sps==1) {
      // start der SPS
      check=UB_SPS_Start_AWL();
    }

    //-----------------------------------
    // SPS wurde beendet
    // entweder durch user "SPS_STOP"
    // oder durch einen Fehler
    //-----------------------------------

    // neue AWL per UART laden
    check=UB_SPS_loadAWL_UART();
    if(check==0) {
      // laden war ok
      start_sps=1;
    }
    else {
      // fehler beim laden
      start_sps=0;
    }
  }
}


