//--------------------------------------------------------------
// File     : stm32_ub_sps.h
//--------------------------------------------------------------

//--------------------------------------------------------------
#ifndef __STM32F4_UB_SPS_H
#define __STM32F4_UB_SPS_H


//--------------------------------------------------------------
// Includes
//--------------------------------------------------------------
#include "stm32f4xx.h"
#include "stm32_ub_uart.h"
#include "stm32_ub_systick.h"
#include "sps_parser.h"
#include "sps_interpreter.h"


//--------------------------------------------------------------
char str_buf[30]; // buffer fr Stringcopy



//--------------------------------------------------------------
// Debug vom Parsing ein/ausschalten
//--------------------------------------------------------------
#define  SPS_USE_PARSING_DEBUG  0  // ohne Debug
//#define  SPS_USE_PARSING_DEBUG  1  // mit Debug




//--------------------------------------------------------------
// String Sequenz der SPS (per UART)
//--------------------------------------------------------------
#define  SPS_ESC_STRING      "SPS_STOP"    // zum stoppen der SPS
#define  SPS_AKTIV_STRING    "SPS_AKTIV"   // wenn SPS aktiv
#define  SPS_INAKTIV_STRING  "SPS_OFFLINE" // wenn SPS inaktiv



//--------------------------------------------------------------
// AWL-File im Flash das benutzt werden soll
// (muss als C-File eingebunden sein)
//--------------------------------------------------------------
extern UB_AWL  AWL1;



//--------------------------------------------------------------
// Globale Funktionen
//--------------------------------------------------------------
void UB_SPS_Init(void);
uint32_t UB_SPS_Start_AWL(void);
void UB_SPS_sendStringUART(char *ptr);
uint8_t UB_SPS_checkUART_ESC(void);
uint32_t UB_SPS_loadAWL_UART(void);



//--------------------------------------------------------------
#endif // __STM32F4_UB_SPS_H
